Subject: Re: [patch net-next RFC v2 0/6] introduce infrastructure for support of switch chip datapath

From: Jamal Hadi Salim <jhs-jkUAjuhPggJWk0Htik3J/[email-masked]>
Date: Thu, 27 Mar 2014 06:27:30 -0400

On 03/27/14 03:21, Jiri Pirko wrote:
> Wed, Mar 26, 2014 at 10:44:31PM CET, jhs-jkUAjuhPggJWk0Htik3J/[email-masked] wrote:

> Well, I think there are 2 main models to be considered:
> 1. OSV-like model, where everything is flows and that is the OneWay(tm)
>     mode you mentioned :)
> 2. clasic switch setting-like model where you manually set up vlans,
>     lag, whatever.
>
> The phase one for me is 1. and that is what I'm trying to resolve with
> this patchset.
>
>  From what I understand from the discussion, 2. is likely the model you
> have in mind.
>

In my opinion there is no difference when setting the ACL table(s).
We are going to need your .ndo for more than flows. Something
in the stack is going to have to talk to those .ndo interfaces
(I keep bringing up the concept of routing code for example).
What i meant by no OneWay is i think it will depend on the
chip - some will require more work than other. I do believe it
is a longer discussion needed than the port resolving.

cheers,
jamal